Announcement

Collapse
No announcement yet.

Channels backwards compatible

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Channels backwards compatible

    I just built a channel in version 3.0.6931 I was hoping it would back port to version 2.2.1.5861 but I am getting all kinds of errors when trying to import it. Really it's not backwards compatible?

  • #2
    Originally posted by klundell View Post
    I just built a channel in version 3.0.6931 I was hoping it would back port to version 2.2.1.5861 but I am getting all kinds of errors when trying to import it. Really it's not backwards compatible?
    I don't think you understand what backward compatibility means... Mirth Connect 3.x can import and use channels from 1.x or 2.x so yes it is backward-compatible.

    The converse is not true, i.e. versions 1.x or 2.x cannot import or use channels from 3.x. But that's not what backward compatibility means.
    Step 1: JAVA CACHE...DID YOU CLEAR ...wait, ding dong the witch is dead?

    Nicholas Rupley
    Work: 949-237-6069
    Always include what Mirth Connect version you're working with. Also include (if applicable) the code you're using and full stacktraces for errors (use CODE tags). Posting your entire channel is helpful as well; make sure to scrub any PHI/passwords first.


    - How do I foo?
    - You just bar.

    Comment


    • #3
      Correct. Mirth Connect is not forward-compatible.
      Jacob Brauer
      Director, Software Development
      NextGen Healthcare

      sigpic

      Comment

      Working...
      X